name: Build & Push Docker Image

on:
  push:
    tags:
      - "v*"

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4

      - name: Login to Gitea Registry
        run: |
          echo "${{ secrets.REGISTRY_TOKEN }}" | docker login gitea.malio.fr -u "${{ gitea.repository_owner }}" --password-stdin

      - name: Build Docker image
        run: |
          docker build \
            -f deploy/docker/Dockerfile.prod \
            -t gitea.malio.fr/malio-dev/sirh:${{ github.ref_name }} \
            -t gitea.malio.fr/malio-dev/sirh:latest \
            .

      - name: Push Docker image
        run: |
          docker push gitea.malio.fr/malio-dev/sirh:${{ github.ref_name }}
          docker push gitea.malio.fr/malio-dev/sirh:latest
